Bug 230306 - FC5 and FC6 IPS driver does not propertly initialize IBM ServeRAID 4L card.
FC5 and FC6 IPS driver does not propertly initialize IBM ServeRAID 4L card.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-02-27 22:52 EST by Grizmister
Modified: 2008-06-16 21:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:16:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Grizmister 2007-02-27 22:52:15 EST
Description of problem:
When attempting to boot from CD to upgrade FC4 to FC5 or FC6, the IPS driver
fails to properly detect and initialize an IBM ServeRAID 4L card and detect the
attached drives.  The RAID card BIOS is 7.12.05

Version-Release number of selected component (if applicable):

How reproducible:
Every attempt to boot from the FC5 or FC6 installation CD.

Steps to Reproduce:
1. Install an IBM ServeRAID 4L card in your system.
2. Attempt to boot from FC6 install CD.
3. When you get the message "Loading IPS driver...", go ALT F8 to get to virtual
screen 8 and read the boot messages
  
Actual results:
<6> scsi 0: IBM PCI ServeRAID 7.12.05 Build 761 <ServeRAID 4L>
<5> ips 0000:01:06.0: Reset Request - Flushed Cache
<6> scsi 0:0:0:0: scsi: Device offlined - not ready after error recovery
<5> ips 0000:01:06.0: Reset Request - Flushed Cache
<6> scsi 0:0:1:0: scsi: Device offlined - not ready after error recovery
<5> ips 0000:01:06.0: Reset Request - Flushed Cache
<6> scsi 0:0:2:0: scsi: Device offlined - not ready after error recovery
... repeats through the search for all 15 devices ...

Expected results:
This is the output from the IPS driver with FC4.

scsi0 : IBM PCI ServeRAID 7.10.18  Build 731 <ServeRAID 4L>
  Vendor: IBM       Model: SERVERAID         Rev: 1.00
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sda: 26658816 512-byte hdwr sectors (13649 MB)
SCSI device sda: drive cache: write through
SCSI device sda: 26658816 512-byte hdwr sectors (13649 MB)
SCSI device sda: drive cache: write through
 sda: sda1 sda2 sda3 sda4 < sda5 sda6 >
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
  Vendor: IBM       Model: SERVERAID         Rev: 1.00
  Type:   Processor                          ANSI SCSI revision: 02
  Vendor: IBM       Model: YGLv3 S2          Rev: 0
  Type:   Processor                          ANSI SCSI revision: 02

Additional info:
Comment 1 Jon Stanley 2008-01-07 20:49:33 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Grizmister 2008-01-08 22:57:22 EST
Hello,

Please do not close this bug report.

I cannot test this on FC8 in the next few days due to other commitments. 
However, I know it is still an issue in FC7 as well as RedHat Enterprise 5.  I
have seen _no_ activity indicating that the bug has received any attention to
try to research and resolve.

What else would you need from me in order to actually get a driver maintainer to
look at the problem and try to fix.  Reporting it the first time did not seem to
do much.
Comment 3 Jon Stanley 2008-01-17 00:58:50 EST
I've changed the version to 7 in the meantime.  Let me search through some other
reports (I seem to remember seeing some perhaps similar to this) and I'll see if
this is a duplicate.  Sorry it's taken me so long to get back to you, I was
looking through my list and must have missed the mail on this one.
Comment 4 Bug Zapper 2008-05-14 08:10:21 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:16:16 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.